import 'dart:async';

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:progress_dialog/progress_dialog.dart';

class LoadingService {
  Completer<bool> _loadingCompleter;

  GlobalKey<NavigatorState> get navigatorKey {
    return Get.key;
  }

  ProgressDialog _progressDialog;

  Future<bool> showLoading() async {
    _loadingCompleter = Completer<bool>();
    if (_progressDialog == null) {
      _progressDialog =
          ProgressDialog(navigatorKey.currentState.overlay.context);
      _progressDialog.style(message: 'loading'.tr);
    }
    _progressDialog.show().then((value) {
      if (_loadingCompleter != null && !_loadingCompleter.isCompleted) {
        _loadingCompleter.complete(value);
      }
    });
    return _loadingCompleter.future;
  }

  Future<bool> hideLoading() {
    _loadingCompleter = Completer<bool>();
    if (_progressDialog != null && _progressDialog.isShowing()) {
      _progressDialog.hide().then((value) => _loadingCompleter.complete(value));
      return _loadingCompleter.future;
    } else {
      _loadingCompleter = null;
      return Future.value(false);
    }
  }
}
